Remove the support for old GHC versions
authorIan Lynagh <igloo@earth.li>
Mon, 8 Aug 2011 20:41:44 +0000 (21:41 +0100)
committerIan Lynagh <igloo@earth.li>
Mon, 8 Aug 2011 20:41:44 +0000 (21:41 +0100)
commitf8cbf37ab28ab4512d932678c08c263aa412e008
treeca96e942f028ae571873979fb428601abe209dc7
parent1df837321864b70ec67be1ced277d5f90b95a7fd
Remove the support for old GHC versions

The conditional code was all for versions < 6.10, so old enough that
they can't be used to compile the HEAD.

Additionally, it didn't work properly. It relied on __GLASGOW_HASKELL__
being defined when compiling the C, rather than having the C print the
conditionals as part of the Haskell.
C.hs
Common.hs
DirectCodegen.hs
template-hsc.h